### 3.19 `iswblank`, `iswblank_l`—blank wide character test

Synopsis

         #include <wctype.h>
         int iswblank(wint_t c);

         #include <wctype.h>
         int iswblank_l(wint_t c, locale_t locale);

Description
`iswblank` is a function which classifies wide-character values that are categorized as blank.

`iswblank_l` is like `iswblank` but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

Returns
`iswblank`, `iswblank_l` return non-zero if c is a blank wide character.

Portability
`iswblank` is C99. `iswblank_l` is POSIX-1.2008.

No supporting OS subroutines are required.